apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: RISCV-cluster
  namespace: default
  description: Alle deployment van RISCV-cluster github
  annotations:
    backstage.io/techdocs-ref: dir:.
  links:
    - url: https://github.com/AllardKrings/kubernetes
      title: AllardDCS Kubernetes Configuration
  docs:
    - url: ./README.md
spec:
  type: service
  lifecycle: production
  owner: group:default/allarddcs
    - ./nexus/catalog-info.yaml
    - ./nginx/catalog-info.yaml
    - ./olproperties/catalog-info.yaml
    - ./traefik/catalog-info.yaml
    - ./openliberty/catalog-info.yaml
    - ./gitea/catalog-info.yaml
    - ./argo-workflows/catalog-info.yaml
    - ./postgres14/catalog-info.yaml
    - ./dnsutils/catalog-info.yaml
    - ./nextcloud/catalog-info.yaml
    - ./monica/catalog-info.yaml
    - ./zabbix/catalog-info.yaml
    - ./drupal/catalog-info.yaml
    - ./jenkins/catalog-info.yaml
    - ./mariadb/catalog-info.yaml
    - ./kubernetes/catalog-info.yaml
    - ./pgadmin/catalog-info.yaml
    - ./joomla/catalog-info.yaml
    - ./phpmyadmin/catalog-info.yaml
